Bug 1030083 - (CVE-2013-6780) CVE-2013-6780 XSS vulnerability in YUI 2.5.0 through 2.9.0
CVE-2013-6780 XSS vulnerability in YUI 2.5.0 through 2.9.0
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131111,repor...
: Security
Depends On: 1030087 1030084 1030085 1030086
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 16:42 EST by Vincent Danen
Modified: 2016-03-04 07:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:37:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-11-13 16:42:43 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-6780 to
the following vulnerability:

Name: CVE-2013-6780
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-6780
Assigned: 20131112
Reference: https://yuilibrary.com/support/20131111-vulnerability/

Cross-site scripting (XSS) vulnerability in uploader.swf in the
Uploader component in Yahoo! YUI 2.5.0 through 2.9.0 allows remote
attackers to inject arbitrary web script or HTML via the allowedDomain
parameter.


Upstream indicates that all YUI2 files should be removed and that YUI3, which is not vulnerable to this issue, should be used instead.

The dojo package contains an uploader.swf, and grepping in the source there is a reference to YUI in the LICENSES file, but there is no changelog and no way that I can tell to determine the version of uploader.swf and whether it is from YUI or not (I suspect it is but am not certain).  Filing tracking bugs for the dojo maintainer to look into this.  Newer versions of moodle as found in EPEL6 and Fedora 19 ship with components from YUI 3.x; but older moodle as provided by EPEL5 and Fedora 18 do ship the vulnerable YUI2-based uploader.swf.
Comment 1 Vincent Danen 2013-11-13 16:48:38 EST
Created dojo tracking bugs for this issue:

Affects: fedora-all [bug 1030086]
Affects: epel-all [bug 1030087]
Comment 2 Vincent Danen 2013-11-13 16:48:55 EST
Created moodle tracking bugs for this issue:

Affects: epel-5 [bug 1030084]
Affects: fedora-18 [bug 1030085]

Note You need to log in before you can comment on or make changes to this bug.